> For the complete documentation index, see [llms.txt](https://docs.os.uk/os-downloads/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.os.uk/os-downloads/products/transport-network-portfolio/os-mastermap-highways-network-fundamentals/os-mastermap-highways-network-playbook/identifying-change-in-the-network.md).

# Identifying Change in the Network

## Use cases

* Identify which features change and how that affects other information related to it.
* Identify physical change to the road network.
* Identify roads under construction and affects on service provision.

## Steps to Success: Identifying Change in the Operational State of a Street

* Common attribute is across all features
* Gives the reason why a feature has changed using these values

| Code                             | Description                                           |
| -------------------------------- | ----------------------------------------------------- |
| New                              | New feature has been added                            |
| Modified Geometry                | The geometry of the feature has been altered          |
| Modified Attributes              | One or more attribute properties have been altered    |
| Modified Geometry and Attributes | Geometry and attribution properties have been altered |

### Considerations When Adding Your Own Data to OS MasterMap Highways

1. Back up your data.
2. Use feature validation data set (FVDS) to check which features are affected and how (TOID value and UPDATE, INSERT or DELETION).
3. Connect data to either TOID or USRN as this are persistent with a finite life cycle.
4. Further useful information:
   * BeginLifespanVersion – gives date of when the object was inserted or changed in the data
   * Validfrom – data when the custodian entered the data into LSG (Street records)

#### Things to Note: Data Captured Against OS MasterMap ITN Layer is Easily Transferred Over to OS MasterMap Highways

* TOIDS are persistent across both products and have not changed
* Data linked to ITN using TOID should link to Highways
* FVDS can be used to identify where a reference may have changed

#### Steps to Success: Identifying Change in the Operational State of a Street

* Operational State – indicates the construction status of the street
* Streets – all values are permitted, default is open
* RoadLink – Operational status defaults to open, although may occasionally be under construction
* Special designations table – provides additional information and can be linked directly to Street by USRN.

### Code List: OperationalStateValue

| Code               | Description                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  |
| ------------------ | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------ |
| Prospective        | Plans have been submitted for development but construction has not commenced.                                                                                                                                                                                                                                                                                                                                                                                                                                |
| Under Construction | Construction has commenced but the road cannot be used.                                                                                                                                                                                                                                                                                                                                                                                                                                                      |
| Open               | Open                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         |
| Temporarily Closed | <p>The way has been temporarily closed for a specified reason under Road Traffic Regulation Act 1984 Section 14 1(b):</p><p>• Streetworks</p><p>• likelihood of danger to public</p><p>• Litter clearing or cleaning (duty imposed by section 89(1)(a) or (2) of the Environmental Protection Act 1990 (litter clearing and cleaning) to be discharged)</p><p>Note: The operationalState shall only be set to Temporarily Closed when the duration of the closure is intended to last more than 4 weeks.</p> |
| Permanently Closed | <p>A Street that has been permanently blocked up according to a Stopping Up Order</p><p>Constraint: If the Street operationalState = Permanently Closed then the endLifespanVersion shall be set.</p>                                                                                                                                                                                                                                                                                                        |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.os.uk/os-downloads/products/transport-network-portfolio/os-mastermap-highways-network-fundamentals/os-mastermap-highways-network-playbook/identifying-change-in-the-network.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
